import React from 'react';
import { RectButtonProps } from 'react-native-gesture-handler';
import { useNetInfo } from '@react-native-community/netinfo';
import { Produto as ModelProduto } from '../../database/model/Produto';

import {
    Container,
    Details,
    CarImage,
    Reference,
    Description,
    Information,
    TablePrice,
    Price,
    InventoryTitle,
    Inventory,
    InfBox,
    Content
} from './styles';

interface Props extends RectButtonProps {
    data: ModelProduto;
}

export function Product({ data, ...rest }: Props) {
    const netInfo = useNetInfo();
    //const MotorIcon = getAccessoryIcon(data.fuel_type);

    return (
        <Container {...rest}>
            <CarImage
                source={{ uri: data.imagem }}
                resizeMode="contain"
            />
            <Content>
                <Details>
                    <Reference>Ref. {data.codigo_referencia}</Reference>
                    <Description>{data.nome}</Description>
                </Details>
                <Information>
                    <InfBox>
                        <TablePrice>A Vista</TablePrice>
                        <Price>R$ {data.vlr_venda_avista}</Price>
                    </InfBox>
                    <InfBox>
                        <TablePrice>A Prazo</TablePrice>
                        <Price>R$ {data.vlr_venda_aprazo}</Price>
                    </InfBox>
                    <InfBox>
                        <InventoryTitle>Estoque</InventoryTitle>
                        <Inventory>{data.estoque}</Inventory>
                    </InfBox>
                </Information>
            </Content>
        </Container>
    );
}