import styled from 'styled-components/native';
import { RectButton } from 'react-native-gesture-handler';
import { RFValue } from 'react-native-responsive-fontsize';
import FastImage from 'react-native-fast-image';


export const Container = styled(RectButton)`
   width: 100%;
   background-color: ${({ theme }) => theme.colors.background_secondary};
   flex-direction: row;
   justify-content: space-between;
   align-items: center;
   padding: 5px;
   margin-bottom: 16px;
`;

export const Content = styled.View`
   flex: 1;
`;

export const CarImage = styled(FastImage)`
   width: 60px;
   height: 60px;
   border-radius: 30px;
   margin-right: 10px;
   margin-left: 5px;
`;

export const Details = styled.View`
   width: 100%;
   justify-content: space-between;
`;

export const Reference = styled.Text`
   font-family: ${({ theme }) => theme.fonts.secondary_500};
   color: ${({ theme }) => theme.colors.text_detail};
   font-size: ${RFValue(12)}px;
`;

export const Name = styled.Text`
   font-family: ${({ theme }) => theme.fonts.secondary_500};
   color: ${({ theme }) => theme.colors.title};
   font-size: ${RFValue(15)}px;
`;


export const Price = styled.Text`
   font-family: ${({ theme }) => theme.fonts.secondary_500};
   color: ${({ theme }) => theme.colors.main};
   font-size: ${RFValue(15)}px;
`;

export const Type = styled.View``;

export const InfBox = styled.View`
   justify-content: space-between;
   align-items: center;
`;

export const Description = styled.Text`
   font-family: ${({ theme }) => theme.fonts.secondary_500};
   color: ${({ theme }) => theme.colors.title};
   font-size: ${RFValue(15)}px;
`;

export const Information = styled.View`
   width: 100%;
   justify-content: space-between;
   flex-direction: row;
   margin-top: 5px;
   padding-right: 50px;
`;

export const TablePrice = styled.Text`
   font-family: ${({ theme }) => theme.fonts.secondary_500};
   color: ${({ theme }) => theme.colors.text_detail};
   font-size: ${RFValue(12)}px;
`;

export const InventoryTitle = styled.Text`
   font-family: ${({ theme }) => theme.fonts.secondary_500};
   color: ${({ theme }) => theme.colors.text_detail};
   font-size: ${RFValue(15)}px;
`;

export const Inventory = styled.Text`
   font-family: ${({ theme }) => theme.fonts.secondary_500};
   color: ${({ theme }) => theme.colors.title};
   font-size: ${RFValue(15)}px;
`;
