import styled, { css } from 'styled-components/native';
import { TextInput } from 'react-native';
import { RectButton } from 'react-native-gesture-handler';

export const Container = styled.View`
   width: 100%;
   flex-direction: row;
   align-items: center;
   margin-top: -20px;
   padding: 0 24px;
`;

export const InputArea = styled.View`
    flex: 1;
    flex-direction: row;
    align-items: center;
    border-radius: 12px;
    
    ${({ theme }) => css`
        background-color: ${theme.colors.line};
        border: 1px solid ${theme.colors.text_detail};
    `};
`;

export const Input = styled(TextInput)`
    flex: 1;
    height: 42px;
    padding-left: 12px;
    font-family: ${({ theme }) => theme.fonts.secondary_500};
`;

export const ButtonClear = styled.TouchableOpacity`
    margin-right: 7px;
`;

export const Button = styled(RectButton)`
    width: 44px;
    height: 44px;
    align-items: center;
    justify-content: center;
    background-color: ${({ theme }) => theme.colors.success};
    border-radius: 10px;
    margin-left: 10px;
`;