import styled from 'styled-components/native';
import { FlatList, FlatListProps } from 'react-native';
import { RFValue } from 'react-native-responsive-fontsize';

import { Car } from '../../database/model/Car';
import { Product } from '../../database/model/Product';
import { RectButton } from 'react-native-gesture-handler';

export const Container = styled.View`
   flex: 1;
   background-color: ${({ theme }) => theme.colors.background_primary};
`;

export const Header = styled.View`
   width: 100%;
   height: 113px;
   background-color: ${({ theme }) => theme.colors.header};
   justify-content: flex-end;
   padding: 32px 24px;
`;

export const HeaderContent = styled.View`
   flex-direction: row;
   align-items: center;
   justify-content: space-between;
`;

export const TotalCars = styled.Text`
   font-size: ${RFValue(15)}px;
   font-family: ${({ theme }) => theme.fonts.primary_400};
   color: ${({ theme }) => theme.colors.text};
`;

export const CarList = styled(
   FlatList as new (props: FlatListProps<Product>) => FlatList<Product>)
   .attrs({
      contentContainerStyle: {
         padding: 16
      },
      showsVerticalScrollIndicator: false
   })``;

export const MyCarsButton = styled(RectButton)`
   width: 60px;
   height: 60px;
   border-radius: 30px;
  
   justify-content: center;
   align-items: center;

   background-color: ${({ theme }) => theme.colors.main};

   position: absolute;
   bottom: 13px;
   right: 22px;
`;

export const Connected = styled.View`
   width: 100%;
   height: 30px;
   background-color: ${({ theme }) => theme.colors.main};
   justify-content: center;
   align-items: center;
`;

export const ConnectedText = styled.Text`
    color: ${({ theme }) => theme.colors.shape};
    font-family: ${({ theme }) => theme.fonts.secondary_400};
    font-size: ${RFValue(15)}px;

 `;